public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/findutils/
Date: Thu, 24 Dec 2015 11:40:03 +0000 (UTC)	[thread overview]
Message-ID: <1450957195.1c79ac75209475c9f3034ac776e3ad78cdd9c921.polynomial-c@gentoo> (raw)

commit:     1c79ac75209475c9f3034ac776e3ad78cdd9c921
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 24 11:39:55 2015 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Dec 24 11:39:55 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c79ac75

sys-apps/findutils: Bump to version 4.5.16

Package-Manager: portage-2.2.26
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 sys-apps/findutils/Manifest                |  1 +
 sys-apps/findutils/findutils-4.5.16.ebuild | 63 ++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/sys-apps/findutils/Manifest b/sys-apps/findutils/Manifest
index 197448c..f6327b8 100644
--- a/sys-apps/findutils/Manifest
+++ b/sys-apps/findutils/Manifest
@@ -1,3 +1,4 @@
 DIST findutils-4.4.2.tar.gz 2149838 SHA256 434f32d171cbc0a5e72cfc5372c6fc4cb0e681f8dce566a0de5b6fccd702b62a SHA512 262d0a8301158e6541b9f24e4e043d8d8c1b196b18dbe59c3bedcf17b50c95708e33ab23a07e3bfb947ad495faafffdca3c296fb525794ca60f2dfd682f228c1 WHIRLPOOL 2af1467403ece2f290be6b9f69db013d386427ab553efcf750ce36bf608fab0d37708209c22bf61b8a82f41aa13bf25a247c62f78dc95446290b7a4bd35d3393
 DIST findutils-4.5.14.tar.gz 3536727 SHA256 0de3cf625a5c9f154eee3171e072515ffdde405244dd00502af617ac57b73ae2 SHA512 e26f0d58c316202d99d7dcc1c4d4d40591150dcf198dff2dab0f8ef5e4dc039a5ff42ef536bfc08d860f39ee4bd8215591b4cb460ff45f73007040fc5f99e66b WHIRLPOOL 116b725ffb76562a3f1e9bbfa475a791b873746a7ae362eea1a97f3b701c6e32508eafb10fe47a3ad8f56ef0e67fb04a5d98a7baf5371646945718e7aff5ad60
 DIST findutils-4.5.15.tar.gz 3815470 SHA256 bc843179f32cba7bec8192edc91b4ad0d0bf434e61b82c04d9d2c8115617d9fb SHA512 425e14ce956fcfe83412d49b63f9487cda2ce935b6f707c4fe7d4334449d1db47369bad8358979b2782ac749047bf6396e49fb92bef114518a1d6c133417e186 WHIRLPOOL f6a3761dc2c50faca0a7684731ed543676382ac4c23ed48804d70c243b53ddd34ba41c0e96fbb20a079d3e51b4a1f1773707d8b1ed7c4e44b4685544b1ae7470
+DIST findutils-4.5.16.tar.gz 3869606 SHA256 d116b48cf2a90a457726f58e24842bfa6078447d0c53be0fd1593f2555f7caae SHA512 d03100ea0708448ac714e86b6bc8ae4d9667f46df1cf0d29e1cfad6f52656254a47a2dd7ef88aaa68f94f399e848cd9d0977e25eda3781cfcd20819dc9fa76d6 WHIRLPOOL d42c7028eccdb38229aa725fade1a6aa2b2a57a65f317ccff83cf3da5594463f7810c17cc10fa5ced89a4213780133a57fd61948dc5d03b300a57f927e103eb2

diff --git a/sys-apps/findutils/findutils-4.5.16.ebuild b/sys-apps/findutils/findutils-4.5.16.ebuild
new file mode 100644
index 0000000..7b49dce
--- /dev/null
+++ b/sys-apps/findutils/findutils-4.5.16.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit eutils flag-o-matic toolchain-funcs python-any-r1
+
+DESCRIPTION="GNU utilities for finding files"
+HOMEPAGE="https://www.gnu.org/software/findutils/"
+SRC_URI="mirror://gnu-alpha/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="debug nls selinux static test"
+
+RDEPEND="selinux? ( sys-libs/libselinux )
+	nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}
+	test? ( ${PYTHON_DEPS} )
+	nls? ( sys-devel/gettext )"
+
+pkg_setup() {
+	use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	# Don't build or install locate because it conflicts with slocate,
+	# which is a secure version of locate.  See bug 18729
+	sed -i '/^SUBDIRS/s/locate//' Makefile.in
+}
+
+src_configure() {
+	use static && append-ldflags -static
+
+	program_prefix=$(usex userland_GNU '' g)
+	econf \
+		--with-packager="Gentoo" \
+		--with-packager-version="${PVR}" \
+		--with-packager-bug-reports="https://bugs.gentoo.org/" \
+		--program-prefix=${program_prefix} \
+		$(use_enable debug) \
+		$(use_enable nls) \
+		$(use_with selinux) \
+		--libexecdir='$(libdir)'/find
+}
+
+src_compile() {
+	# We don't build locate, but the docs want a file in there.
+	emake -C locate dblocation.texi
+	default
+}
+
+src_install() {
+	default
+
+	# We don't need this, so punt it.
+	rm "${ED}"/usr/bin/${program_prefix}oldfind \
+		"${ED}"/usr/share/man/man1/${program_prefix}oldfind.1 || die
+}


             reply	other threads:[~2015-12-24 11:40 UTC|newest]

Thread overview: 91+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-12-24 11:40 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-17  4:57 [gentoo-commits] repo/gentoo:master commit in: sys-apps/findutils/ Sam James
2024-07-17  4:56 Sam James
2024-07-17  4:56 Sam James
2024-07-17  4:46 Sam James
2024-07-17  4:44 Sam James
2024-07-17  4:36 Sam James
2024-06-02  0:14 Sam James
2024-05-09 11:33 Sam James
2023-08-18 21:50 Sam James
2023-02-24 18:36 Sam James
2022-12-26  3:54 Sam James
2022-12-26  3:20 Sam James
2022-12-25 21:24 Sam James
2022-12-25 21:24 Sam James
2022-12-25 21:24 Sam James
2022-12-25 20:34 Arthur Zamarin
2022-12-25 20:20 Arthur Zamarin
2022-12-25 20:16 Arthur Zamarin
2022-12-25 20:14 Arthur Zamarin
2022-10-30 15:51 Sam James
2022-10-28  6:36 Sam James
2022-06-01  8:11 Sam James
2022-05-22 11:27 Jakov Smolić
2022-05-22  6:23 Agostino Sarubbo
2022-05-22  6:22 Agostino Sarubbo
2022-05-22  6:19 Agostino Sarubbo
2022-05-22  6:17 Agostino Sarubbo
2022-05-22  3:20 Sam James
2022-05-22  3:18 Sam James
2022-05-22  3:18 Sam James
2022-04-23  2:19 Mike Gilbert
2022-04-23  2:19 Mike Gilbert
2022-04-17 17:06 Sam James
2022-04-07  0:46 Sam James
2022-01-06  9:07 David Seifert
2021-12-07 20:23 Sam James
2021-12-06  8:06 Agostino Sarubbo
2021-12-06  1:16 Sam James
2021-12-06  0:13 Sam James
2021-12-06  0:10 Sam James
2021-12-05  7:49 Jakov Smolić
2021-12-05  5:19 Sam James
2021-10-25 16:05 Mike Frysinger
2021-08-22 12:00 Fabian Groffen
2021-05-13 13:55 David Seifert
2021-05-13 10:59 David Seifert
2021-05-11 16:38 Sam James
2021-05-11 16:38 Sam James
2021-05-09 21:48 Sam James
2021-05-09 21:48 Sam James
2021-05-09 21:44 Sam James
2021-05-09 21:42 Sam James
2021-05-09 21:36 Sergei Trofimovich
2021-01-09 21:09 Lars Wendler
2021-01-06 15:26 Fabian Groffen
2020-12-27 18:13 Fabian Groffen
2020-08-16 13:07 Thomas Deutschmann
2020-03-19 20:38 Mart Raudsepp
2020-03-15 13:13 Mikle Kolyada
2020-03-02 11:49 Sergei Trofimovich
2020-02-24 12:49 Agostino Sarubbo
2020-02-24 11:43 Agostino Sarubbo
2020-02-24 11:28 Agostino Sarubbo
2020-02-24 10:07 Agostino Sarubbo
2020-02-24  9:02 Agostino Sarubbo
2020-02-21 15:57 Agostino Sarubbo
2020-02-20 18:47 Sergei Trofimovich
2020-02-10 13:26 Michał Górny
2019-08-31 21:03 Lars Wendler
2019-08-30  7:51 Lars Wendler
2019-05-04 20:15 Mikle Kolyada
2019-05-04 11:26 Mikle Kolyada
2017-04-24 11:05 Pacho Ramos
2016-06-05 21:03 Mike Frysinger
2016-05-23  5:15 Jeroen Roovers
2016-05-23  5:15 Jeroen Roovers
2016-05-02 18:28 Mike Frysinger
2016-05-02 18:28 Mike Frysinger
2016-05-02  4:23 Matt Turner
2016-04-10  8:47 Jeroen Roovers
2016-03-25  9:41 Markus Meier
2016-03-21 23:35 Mike Frysinger
2016-03-08  3:45 Mike Frysinger
2016-03-05 16:29 Mikle Kolyada
2015-12-29  5:32 Mike Frysinger
2015-12-27 22:14 Mike Frysinger
2015-12-25 10:53 Lars Wendler
2015-12-18 17:19 Mike Frysinger
2015-12-18 17:19 Mike Frysinger
2015-12-18 17:19 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1450957195.1c79ac75209475c9f3034ac776e3ad78cdd9c921.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox